package com.mwq.frame.system;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.Iterator;
import java.util.Set;

import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JPanel;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;
import javax.swing.tree.DefaultTreeModel;
import javax.swing.tree.TreeNode;
import javax.swing.tree.TreePath;
import javax.swing.tree.TreeSelectionModel;

import com.mwq.hibernate.Dao;
import com.mwq.hibernate.HibernateSessionFactory;
import com.mwq.hibernate.mapping.TbDept;

public class FrameworkPanel extends JPanel {

	private JTree tree;

	private DefaultTreeModel treeModel;

	private DefaultMutableTreeNode root;

	private Dao dao;

	private TbDept company;

	/**
	 * Create the panel
	 */
	public FrameworkPanel() {
		super();
		dao = Dao.getInstance();
		setLayout(new BorderLayout());

		final JPanel buttonPanel = new JPanel();
		buttonPanel.setBackground(Color.WHITE);
		add(buttonPanel, BorderLayout.NORTH);

		final JButton updateButton = new JButton();
		updateButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				TreePath selectionPath = tree.getSelectionPath();
				TbDept selected = null;
				String newName = null;
				if (selectionPath.getPathCount() == 1) {// ޸Ĺ˾
					int i = JOptionPane.showConfirmDialog(null, "ȷҪ޸Ĺ˾ƣ",
							"ʾ", JOptionPane.YES_NO_OPTION);// ʾ
					if (i == 0) {// ޸ģǡť
						String infos[] = { "˾ƣ", "޸Ĺ˾",
								"˾ƣ" };
						newName = getName(infos);// ޸ĺ
						if (newName != null)
							selected = company;// ޸ĵΪ˾
					}
				} else {// ޸Ĳ
					String infos[] = { "벿ŵƣ", "޸Ĳ", "벿ŵƣ" };
					newName = getName(infos);// ޸ĺ
					if (newName != null) {
						selected = company;// ѡвŵ
						Object[] paths = selectionPath.getPath();// ѡвŽڵ·
						for (int i = 1; i < paths.length; i++) {// ѡнڵ·
							Iterator deptIt = selected.getTbDepts().iterator();
							finded: while (deptIt.hasNext()) {// ͨѭѡнڵ·ӦĲ
								TbDept dept = (TbDept) deptIt.next();
								if (dept.getName().equals(paths[i].toString())) {
									selected = dept;// ҵѡнڵ·ӦĲ
									break finded;// ָλ
								}
							}
						}
					}
				}
				if (selected != null) {
					DefaultMutableTreeNode treeNode = (DefaultMutableTreeNode) selectionPath
							.getLastPathComponent();// ѡнڵ
					treeNode.setUserObject(newName);// ޸Ľڵ
					treeModel.reload();// ˢṹ
					tree.setSelectionPath(selectionPath);// ýڵΪѡ״̬
					//
					selected.setName(newName);// ޸ĲŶ
					dao.updateObject(company);// ޸ĳ־ûݿ
					HibernateSessionFactory.closeSession();// رݿ
				}

			}
		});
		updateButton.setText("޸");
		buttonPanel.add(updateButton);

		final JButton delButton = new JButton();
		delButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				TreePath selectionPath = tree.getSelectionPath();
				int pathCount = selectionPath.getPathCount();// ѡнڵļ
				if (pathCount == 1) {// ѡеΪ1ڵ㣬˾ڵ
					JOptionPane.showMessageDialog(null, "˾ڵ㲻ɾ", "ʾ",
							JOptionPane.WARNING_MESSAGE);
				} else {// ѡеΪ23ڵ㣬Žڵ
					DefaultMutableTreeNode treeNode = (DefaultMutableTreeNode) selectionPath
							.getLastPathComponent();// ѡвŽڵ
					int i = JOptionPane.showConfirmDialog(null, "ȷҪɾòţ"
							+ treeNode, "ʾ", JOptionPane.YES_NO_OPTION);
					if (i == 0) {// ɾ
						treeModel.removeNodeFromParent(treeNode);// ɾѡнڵ
						tree.setSelectionRow(0);// ѡи˾ڵ
						TbDept selected = company;// ѡвŵ
						Object[] paths = selectionPath.getPath();// ѡвŽڵ·
						int lastIndex = paths.length - 1;// 
						for (int j = 1; j <= lastIndex; j++) {// ѡнڵ·
							Iterator deptIt = selected.getTbDepts().iterator();
							finded: while (deptIt.hasNext()) {// ͨѭѡнڵ·ӦĲ
								TbDept dept = (TbDept) deptIt.next();
								if (dept.getName().equals(paths[j].toString())) {
									if (j == lastIndex) // Ϊѡнڵ
										selected.getTbDepts().remove(dept);// ɾѡв
									else
										// Ϊڵ
										selected = dept;
									break finded;// ָλ
								}
							}
						}
						dao.updateObject(company);// ͬɾݿ
						HibernateSessionFactory.closeSession();// رݿ
					}
				}
			}
		});
		delButton.setText("ɾò");
		buttonPanel.add(delButton);

		final JButton addButton = new JButton();
		addButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				TreePath selectionPath = tree.getSelectionPath();
				int pathCount = selectionPath.getPathCount();// ѡнڵļ
				had: if (pathCount == 3) {// ѡеΪ3ڵ
					JOptionPane.showMessageDialog(null, "ܱǸڸü²ٰӲţ",
							"ʾ", JOptionPane.WARNING_MESSAGE);
				} else {// ѡеΪ12ڵ
					String infos[] = { "벿ƣ", "²", "벿ƣ" };
					String newName = getName(infos);// ²ŵ
					if (newName != null) {// ²
						DefaultMutableTreeNode parentNode = (DefaultMutableTreeNode) selectionPath
								.getLastPathComponent();// ѡвŽڵ
						int childCount = parentNode.getChildCount();// øòŰӲŵĸ
						for (int i = 0; i < childCount; i++) {// 鿴´ĲǷѾ
							TreeNode childNode = parentNode.getChildAt(i);
							if (childNode.toString().equals(newName)) {
								JOptionPane.showMessageDialog(null, "òѾڣ",
										"ʾ", JOptionPane.WARNING_MESSAGE);
								break had;// Ѿڣָλ
							}
						}
						DefaultMutableTreeNode childNode = new DefaultMutableTreeNode(
								newName);// ²Žڵ
						treeModel.insertNodeInto(childNode, parentNode,
								childCount);// ²Žڵ뵽ѡвŽڵ
						tree.expandPath(selectionPath);// չѡвŽڵ
						//
						TbDept selected = company;// ĬѡеΪ1ڵ
						if (pathCount == 2) {// ѡеΪ2ڵ
							String selectedName = selectionPath.getPath()[1]
									.toString();// ѡнڵ
							Iterator deptIt = company.getTbDepts().iterator();// ˾ֱŵĵ
							finded: while (deptIt.hasNext()) {// ˾ֱ
								TbDept dept = (TbDept) deptIt.next();
								if (dept.getName().equals(selectedName)) {// ѡнڵӦĲ
									selected = dept;// Ϊѡв
									break finded;// ѭ
								}
							}
						}
						TbDept sonDept = new TbDept();// ²Ŷ
						sonDept.setName(newName);// ò
						sonDept.setTbDept(selected);// ²ŵŵĹ
						selected.getTbDepts().add(sonDept);// ŵ²ŵĹ
						dao.updateObject(company);// ²ų־ûݿ
						HibernateSessionFactory.closeSession();// رݿ
					}
				}
			}
		});
		addButton.setText("Ӳ");
		buttonPanel.add(addButton);

		final JPanel treePanel = new JPanel();
		treePanel.setBackground(Color.WHITE);
		add(treePanel, BorderLayout.CENTER);
		final FlowLayout flowLayout = new FlowLayout();
		flowLayout.setVgap(50);
		treePanel.setLayout(flowLayout);

		company = (TbDept) dao.queryDeptById(1);
		root = new DefaultMutableTreeNode(company.getName());
		Set depts = company.getTbDepts();
		for (Iterator iter = depts.iterator(); iter.hasNext();) {
			TbDept dept = (TbDept) iter.next();
			DefaultMutableTreeNode deptNode = new DefaultMutableTreeNode(dept
					.getName());
			root.add(deptNode);
			if (dept.getTbDepts().size() != 0) {
				Set sonDepts = dept.getTbDepts();
				for (Iterator iterator = sonDepts.iterator(); iterator
						.hasNext();) {
					TbDept sonDept = (TbDept) iterator.next();
					deptNode.add(new DefaultMutableTreeNode(sonDept.getName()));
				}
			}
		}
		HibernateSessionFactory.closeSession();

		treeModel = new DefaultTreeModel(root);

		tree = new JTree(treeModel);
		tree.setForeground(new Color(255, 0, 0));
		tree.setFont(new Font("", Font.BOLD, 14));
		DefaultTreeCellRenderer render = new DefaultTreeCellRenderer();// ýͼꡢͱɫ
		render.setLeafIcon(new ImageIcon());// Ҷӽͼ
		render.setClosedIcon(new ImageIcon());// ý۵ʱͼ
		render.setOpenIcon(new ImageIcon());// ýչʱͼ
		tree.setCellRenderer(render);
		tree.setSelectionRow(0);// Ĭѡиڵ
		tree.setRowHeight(26);// ýڵи
		tree.getSelectionModel().setSelectionMode(
				TreeSelectionModel.SINGLE_TREE_SELECTION);// ýڵѡȡģʽΪѡ
		treePanel.add(tree);

		//
	}

	public String getName(String infos[]) {
		String newName = "";
		while (newName != null && newName.length() == 0) {
			newName = JOptionPane.showInputDialog(null, infos[0], infos[1],
					JOptionPane.INFORMATION_MESSAGE);
			if (newName != null && newName.length() == 0) {
				JOptionPane.showMessageDialog(null, infos[2], "ʾ",
						JOptionPane.INFORMATION_MESSAGE);
			}
		}
		return newName;
	}

}